# Refund full amount

Send a refund request to return the full settled amount to your customer. 
 Note: No request body is needed for this request.

Endpoint: POST /payments/settlements/refunds/full/{linkData}
Version: 7
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)
    Action link that's received in your request.

## Header parameters:

  - `Content-Type` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

## Request fields (application/vnd.worldpay.payments-v7+json):

  - `reference` (string)
    An optional reference generated by you to identify a payment throughout its lifecycle.
    Example: "refund-reference"

  - `fastRefund` (object)
    Allows you to request a faster refund.

  - `fastRefund.enabled` (boolean, required)
    Set to true to request fast refund.

  - `fastRefund.fallbackToStandard` (boolean)
    Fall back to standard refund processing in case the fast refund fails. Must be present if fast refund is set to true.

## Response 202 fields (application/vnd.worldpay.payments-v7+json):

  - `paymentId` (string)
    Unique identifier generated by us for a single payment. Generated at authorization, and maintained through successive payment actions.
    Example: "payI-dUcet9fk4_X4qZU0hpU0"

  - `commandId` (string)
    Unique identifier generated by us for a single instance of an interaction (command) with the Worldpay API.
    Example: "cmdRvD-OxCyXgJLQ9_jbqXAC0"

  - `_links` (object)

  - `_links.cardPayments:events` (object)
    An action link to retrieve the last event of the payment.

  - `_links.cardPayments:events.href` (string)
    An action link to retrieve the last event of the payment.
    Example: "https://try.access.worldpay-bsh.securedataplatform.com/payments/events/{linkData}"

## Response 400 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)
    Further error details

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

## Response 401 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 404 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 415 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)


